Importing Version Specific Modules

Michael Crute mcrute at gmail.com
Fri Dec 5 00:29:48 CET 2008


Which method makes the most sense for importing a module in python
that is version specific? My use case is that I'm writing code that
will be deployed into a python 2.3 environment and in a few months be
upgraded to python 2.5. This:

if sys.version_info[:2] >= (2, 5):
    from string import Template
else:
    from our.compat.string import Template

or this

try:
    from string import Template
except ImportError:
    from our.compat.string import Template

I know that either case is equally correct and works correctly but
which one is preferable?


-- 
________________________________
Michael E. Crute
http://mike.crute.org

God put me on this earth to accomplish a certain number of things.
Right now I am so far behind that I will never die. --Bill Watterson



More information about the Python-list mailing list